io.milvus.v2.common

## Enum DataType

- java.lang.Object
- - java.lang.Enum<DataType>
  - - io.milvus.v2.common.DataType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataType>

    public enum DataType
    extends java.lang.Enum<DataType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Array`
`BFloat16Vector`
`BinaryVector`
`Bool`
`Double`
`Float`
`Float16Vector`
`FloatVector`
`Int16`
`Int32`
`Int64`
`Int8`
`JSON`
`None`
`SparseFloatVector`
`String`
`VarChar`

### Method Summary

All Methods Static Methods Concrete Methods
`static DataType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DataType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final DataType None

#### Bool

    public static final DataType Bool

#### Int8

    public static final DataType Int8

#### Int16

    public static final DataType Int16

#### Int32

    public static final DataType Int32

#### Int64

    public static final DataType Int64

#### Float

    public static final DataType Float

#### Double

    public static final DataType Double

#### String

    public static final DataType String

#### VarChar

    public static final DataType VarChar

#### Array

    public static final DataType Array

#### JSON

    public static final DataType JSON

#### BinaryVector

    public static final DataType BinaryVector

#### FloatVector

    public static final DataType FloatVector

#### Float16Vector

    public static final DataType Float16Vector

#### BFloat16Vector

    public static final DataType BFloat16Vector

#### SparseFloatVector

    public static final DataType SparseFloatVector

### Method Detail

#### values

    public static DataType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DataType c : DataType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DataType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null